Description: mergechanges: Do not delete continuation lines
Author: Ben Hutchings <ben@decadent.org.uk>
Bug: http://bugs.debian.org/656415

--- a/scripts/mergechanges.sh
+++ b/scripts/mergechanges.sh
@@ -190,9 +190,9 @@
 
 # Replace the Architecture: field, nuke the value of Checksums-*: and Files:,
 # and insert the Description: field before the Changes: field
-eval "awk -- '/^[^ ]/{ field=\"\" }
+eval "awk -- '/^[^ ]/{ deleting=0 }
     /^ /{
-        if (length(field) != 0) {
+        if (!deleting) {
             print
         }
         next
@@ -207,7 +207,7 @@
         next
     }
     /^Format: /{ printf \"%s ${FORMATS}\\n\", \$1; next}
-    /^(Checksums-.*|Files|Description):/{ next }
+    /^(Checksums-.*|Files|Description):/{ deleting=1; next }
     { print }' \
     ${OUTPUT} ${REDIR1}"
 
